Bug 1017681 - rpmdiff test "Multilib regressions": vscclient is a libtool script on s390/s390x/ppc/ppc64
rpmdiff test "Multilib regressions": vscclient is a libtool script on s390/s3...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: qemu-kvm (Show other bugs)
7.0
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Miroslav Rezanina
Virtualization Bugs
:
Depends On:
Blocks: 884569
  Show dependency treegraph
 
Reported: 2013-10-10 06:29 EDT by Paolo Bonzini
Modified: 2014-06-17 23:39 EDT (History)
5 users (show)

See Also:
Fixed In Version: qemu-kvm-1.5.3-17.el7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-06-13 08:53:51 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Paolo Bonzini 2013-10-10 06:29:52 EDT
While the "multilib regressions" test failure is considered a false positive by rpmdiff itself, it highlights a real problem: on ppc, ppc64, s390, s390x /usr/bin/vscclient is a libtool script rather than a binary.

Version:
qemu-kvm-1.5.3-3.el7

Additional info:
Extracting the s390x RPM gives the following information:

$ file usr/bin/vscclient 
vscclient: POSIX shell script, ASCII text executable, with very long lines
Comment 2 Miroslav Rezanina 2013-10-15 09:41:07 EDT
To be precise, usr/bin/vscclient is shell script on all non-x86_64 archs - i686 reports shellscript too:

$ file vscclient.*
vscclient.i686:   POSIX shell script, ASCII text executable, with very long lines
vscclient.s390:   POSIX shell script, ASCII text executable, with very long lines
vscclient.x86_64: ELF 64-bit LSB shared object, x86-64, version 1 (SYSV), dynamically linked (uses shared libs), for GNU/Linux 2.6.32, BuildID[sha1]=0xdbf40f6de855b97e5f99b1f290db31588d54b09a, stripped


This is related to different way of build:
x86_64: build as part of whole qemu build
non-x86_64: build separate using make vscclient %{?_smp_mflags} $buildldflags
Comment 3 Paolo Bonzini 2013-10-17 05:59:29 EDT
I think it's related to different installation (make install vs. manual install).  For libtool-compiled executables, you need to use "libtool --mode=install ..." instead of "install".
Comment 5 Miroslav Rezanina 2013-11-07 10:55:38 EST
Fix included in qemu-kvm-1.5.3-17.el7
Comment 7 Shaolong Hu 2014-01-24 04:20:34 EST
I fail to locate qemu-kvm package for s390 or any another arch besides x86 in brew, any idea?

brew:

s390 	(build logs)
	libcacard-1.5.3-17.el7.s390.rpm (info) (download)
	libcacard-devel-1.5.3-17.el7.s390.rpm (info) (download)
	libcacard-tools-1.5.3-17.el7.s390.rpm (info) (download)
	qemu-guest-agent-1.5.3-17.el7.s390.rpm (info) (download)
	qemu-img-1.5.3-17.el7.s390.rpm (info) (download)
s390x 	(build logs)
	libcacard-1.5.3-17.el7.s390x.rpm (info) (download)
	libcacard-devel-1.5.3-17.el7.s390x.rpm (info) (download)
	libcacard-tools-1.5.3-17.el7.s390x.rpm (info) (download)
	qemu-guest-agent-1.5.3-17.el7.s390x.rpm (info) (download)
	qemu-img-1.5.3-17.el7.s390x.rpm (info) (download)
Comment 8 Miroslav Rezanina 2014-01-24 04:29:44 EST
There's only x86_64 qemu-kvm built now. This BZ describe problem with vssclient that is in libcacard-tools package.
Comment 9 Shaolong Hu 2014-02-08 01:18:12 EST
Verified on qemu-kvm-1.5.3-45.el7.x86_64:


[root@localhost ~]# rpm2cpio libcacard-tools-1.5.3-45.el7.s390.rpm | cpio -div
./usr/bin/vscclient
46 blocks

[root@localhost ~]# file ./usr/bin/vscclient
./usr/bin/vscclient: ELF 32-bit MSB executable, IBM S/390, version 1 (SYSV), dynamically linked (uses shared libs), for GNU/Linux 2.6.32, BuildID[sha1]=0xe3c49ddd3f287d4e8e70095aab40ba6fe64151d9, not stripped
Comment 10 Ludek Smid 2014-06-13 08:53:51 EDT
This request was resolved in Red Hat Enterprise Linux 7.0.

Contact your manager or support representative in case you have further questions about the request.

Note You need to log in before you can comment on or make changes to this bug.